List form fills
curl --request GET \
--url https://advisor.redbark.com/api/v1/clients/{client}/form_fills \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://advisor.redbark.com/api/v1/clients/{client}/form_fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/clients/{client}/form_fills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "form_fill",
"id": "<string>",
"number": 123,
"client_id": "<string>",
"name": "<string>",
"form_id": "<string>",
"layout_id": "<string>",
"group_id": "<string>",
"status": "draft",
"detection": "waiting",
"mapped": true,
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
],
"checklist_item_id": "<string>",
"counts": {
"filled": 123,
"to_check": 123,
"missing": 123,
"left_for_client": 123
},
"created_at": "<string>",
"updated_at": "<string>",
"downloaded_at": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"next_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Forms
List form fills
A client’s filled forms, newest first: name, status (draft, waiting_on_client or ready), whether the fields are matched yet, who is on the form, and how many fields are filled, to check, missing or left for the client. Values are in list_form_fill_values.
GET
/
clients
/
{client}
/
form_fills
List form fills
curl --request GET \
--url https://advisor.redbark.com/api/v1/clients/{client}/form_fills \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://advisor.redbark.com/api/v1/clients/{client}/form_fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/clients/{client}/form_fills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "form_fill",
"id": "<string>",
"number": 123,
"client_id": "<string>",
"name": "<string>",
"form_id": "<string>",
"layout_id": "<string>",
"group_id": "<string>",
"status": "draft",
"detection": "waiting",
"mapped": true,
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
],
"checklist_item_id": "<string>",
"counts": {
"filled": 123,
"to_check": 123,
"missing": 123,
"left_for_client": 123
},
"created_at": "<string>",
"updated_at": "<string>",
"downloaded_at": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"next_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}
